package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcTechnicalMapper;
import com.ruoyi.oa.domain.CmcTechnical;
import com.ruoyi.oa.service.ICmcTechnicalService;

/**
 * cmc技术交底Service业务层处理
 * 
 * @author cmc
 * @date 2024-07-04
 */
@Service
public class CmcTechnicalServiceImpl implements ICmcTechnicalService 
{
    @Autowired
    private CmcTechnicalMapper cmcTechnicalMapper;

    /**
     * 查询cmc技术交底
     * 
     * @param technicalId cmc技术交底主键
     * @return cmc技术交底
     */
    @Override
    public CmcTechnical selectCmcTechnicalByTechnicalId(String technicalId)
    {
        return cmcTechnicalMapper.selectCmcTechnicalByTechnicalId(technicalId);
    }

    /**
     * 查询cmc技术交底列表
     * 
     * @param cmcTechnical cmc技术交底
     * @return cmc技术交底
     */
    @Override
    public List<CmcTechnical> selectCmcTechnicalList(CmcTechnical cmcTechnical)
    {
        return cmcTechnicalMapper.selectCmcTechnicalList(cmcTechnical);
    }

    /**
     * 新增cmc技术交底
     * 
     * @param cmcTechnical cmc技术交底
     * @return 结果
     */
    @Override
    public int insertCmcTechnical(CmcTechnical cmcTechnical)
    {
        return cmcTechnicalMapper.insertCmcTechnical(cmcTechnical);
    }

    /**
     * 修改cmc技术交底
     * 
     * @param cmcTechnical cmc技术交底
     * @return 结果
     */
    @Override
    public int updateCmcTechnical(CmcTechnical cmcTechnical)
    {
        return cmcTechnicalMapper.updateCmcTechnical(cmcTechnical);
    }

    /**
     * 批量删除cmc技术交底
     * 
     * @param technicalIds 需要删除的cmc技术交底主键
     * @return 结果
     */
    @Override
    public int deleteCmcTechnicalByTechnicalIds(String[] technicalIds)
    {
        return cmcTechnicalMapper.deleteCmcTechnicalByTechnicalIds(technicalIds);
    }

    /**
     * 删除cmc技术交底信息
     * 
     * @param technicalId cmc技术交底主键
     * @return 结果
     */
    @Override
    public int deleteCmcTechnicalByTechnicalId(String technicalId)
    {
        return cmcTechnicalMapper.deleteCmcTechnicalByTechnicalId(technicalId);
    }
}
